#! /usr/bin/env bash
SCRIPT_DIR=$( cd -- "$( dirname -- "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )
USER_HOME=$HOME
[[ -n "${SUDO_USER}" ]] && USER_HOME="$(eval "echo ~${SUDO_USER}")"
. ${SHRC_D:-$SCRIPT_DIR}/01_util.functions 

set -e

setup_catalog() {
    printf 'Setting up catalog: truecharts...'

    midclt call catalog.create '{
        "label": "truecharts",
        "repository": "https://github.com/truecharts/catalog",
        "branch": "main",
        "preferred_trains": ["stable", "operators", "enterprise"]
    }'
    printf '\n'
}

setup_catalog
